import request from '@/utils/request'

// 查询国际过检数据列表
export function listVInternationalRecord (query) {
  return request({
    url: '/system/vInternationalRecord/list',
    method: 'get',
    params: query
  })
}

// 查询国际过检数据详细
export function getVInternationalRecord (id) {
  return request({
    url: '/system/vInternationalRecord/' + id,
    method: 'get'
  })
}

// 新增国际过检数据
export function addVInternationalRecord (data) {
  return request({
    url: '/system/vInternationalRecord',
    method: 'post',
    data: data
  })
}

// 修改国际过检数据
export function updateVInternationalRecord (data) {
  return request({
    url: '/system/vInternationalRecord',
    method: 'put',
    data: data
  })
}

// 删除国际过检数据
export function delVInternationalRecord (id) {
  return request({
    url: '/system/vInternationalRecord/' + id,
    method: 'delete'
  })
}

// 导出国际过检数据
export function exportVInternationalRecord (query) {
  return request({
    url: '/system/vInternationalRecord/export',
    method: 'get',
    params: query
  })
}
